List Vector Tables

Use the list vector tables operation to list all vector tables in the database.

See how list_vector_tables can be used in the following example:

from oracle_vecdb import OracleVecDB, Configuration

client = OracleVecDB(Configuration(
    rest_url="https://<host>/ords/<schema>/_/db-api/stable/vecdb/",
    access_token="<bearer-token>", # or username="<user>", password="<pass>"
))

tables = client.list_vector_tables()
print(tables)

A JSON response is returned, containing an array of table information accessible to the current user, including the following:

  • Table names
  • Descriptions
  • Vector types
  • Row counts
  • Creation time stamps

For more information about the list_vector_tables operation, see Python API Reference.

See how GET /vecdb/vector-tables can be used in the following example:

curl -X GET \
  "https://<host>:<port>/ords/<schema>/_/db-api/stable/vecdb/vector-tables/" \
  -H "Accept: application/json" \
  # Choose ONE authentication method:

  # Option 1: Basic authentication
  -u "<user>:<password>"

  # Option 2: OAuth Bearer token
  # -H "Authorization: Bearer <access_token>"

Example 200 response:

{
  "count": 1,
  "hasMore": false,
  "items": [
    {
      "table_name": "PRODUCT_VECTORS",
      "comment": "Product catalog embeddings",
      "table_params": {
        "auto_generate_id": false
      },
      "annotations": {
        "domain": "retail"
      },
      "vector_type": "dense",
      "vector_table_type": "BYOV",
      "embed_params": null,
      "index_params": {
        "vector_index_params": {
          "auto_index": true,
          "organization": "PARTITIONS",
          "distance_metric": "COSINE"
        },
        "metadata_index_params": {
          "auto_index": true
        },
        "parallel_creation": 1
      },
      "owner": "APPUSER",
      "indexes": [],
      "status": "Empty",
      "stats": {
        "total_vectors": 0
      },
      "created": "2026-05-01T10:00:00.000000+00:00",
      "updated": "2026-05-01T10:00:00.000000+00:00"
    }
  ],
  "limit": 25,
  "offset": 0
}

For more information about GET /vecdb/vector-tables, see REST API Reference.

See how DBMS_VECTOR_DATABASE.LIST_VECTOR_TABLES() can be used in the following example:

dbms_vector_database.list_vector_tables();
Example response:
{
  "vector_tables": [
    {
      "table_name": "MYVECTORS",
      "comment": "Product embeddings",
      "table_params": {
        "auto_generate_id": false
      },
      "annotations": {
        "domain": "retail"
      },
      "vector_type": "dense",
      "vector_table_type": "BYOV",
      "embed_params": null,
      "index_params": {
        "vector_index_params": {
          "auto_index": true,
          "organization": "PARTITIONS",
          "distance_metric": "COSINE"
        },
        "metadata_index_params": {
          "auto_index": true
        },
        "parallel_creation": 1
      },
      "owner": "APPUSER",
      "indexes": [],
      "status": "Empty",
      "stats": {
        "total_vectors": 0
      },
      "created": "2026-05-01T10:00:00.000000+00:00",
      "updated": "2026-05-01T10:00:00.000000+00:00"
    }
  ]
}

For more information about the PL/SQL implementation, including parameters, see LIST_VECTOR_TABLES.